Package org.eclipse.net4j.util.om.log

## Class RollingLog.RollingLogEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `IEvent`
  Direct Known Subclasses:
    `RollingLog.PropertiesEvent`, `RollingLog.RecoveryEvent`, `RollingLog.SplitEvent`
  Enclosing class:
    RollingLog

      public abstract static class RollingLog.RollingLogEvent
      extends Event

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RollingLogEvent​(RollingLog rollingLog)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RollingLog` | `getSource()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RollingLogEvent

          public RollingLogEvent​(RollingLog rollingLog)

  - ### Method Detail

    - #### getSource

          public RollingLog getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`